Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0037500
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] A. Platformminorhave not tried2017-12-16 18:182018-05-09 19:29
ReportershuehnerView Statuspublic 
Assigned Toshuehner 
PrioritynormalResolutionfixedFixed in Version3.0PR18Q3
StatusclosedFix in branchFixed in SCM revision149c47a634cf
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0037500: Stop running 'hg id' during ant tasks (install.source & compilation)

DescriptionCurrently every compile runs 'hg id' to get the commit id of the 'pi/erp' repositories and saves the info into 2 different database tables
- ad_system_info.code_revision
- ad_module.version_id

That feature is nowadays not very useful as:
- module exists, and only pi revision if not very relevant


As 'hg id' needs to scan all files in the workspace that can cost significant amount of time especially if the source.path is not a remote filesystem (i.e. nfs).

This issue tracks the various changes needed to later remove this feature.
Steps To Reproduce-
TagsPerformance
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0038298 newplatform Modules Check and maybe remove code_revision field from heartbeat 
related to defect 0038299 closedalostale Openbravo ERP Heartbeat config popup points to 2.50 user manual 
depends on defect 0037499 closedshuehner Openbravo ERP Remove unused feature to export ob_version + code_revision into xml files 
depends on defect 0037501 closedjarmendariz Openbravo ERP About popup shows hg revision id of core repo which is not useful and should be removed. 
depends on defect 0038300 closedshuehner Openbravo ERP export.database still reads from old obsolete ad_system_info.code_revision field 
related to defect 0038297 closedalostale Openbravo ERP API-Change: Removed org.openbravo.erpCommon.businessUtility.Heartbeat_data_xsql file & code revision columns 
blocks design defect 0038296 acknowledgedplatform Openbravo ERP Review & cleanup build.xml 

-  Notes
(0104093)
hgbot (developer)
2018-04-26 13:12

Repository: erp/devel/pi
Changeset: 7f6f924f47324de46cea81d40a3c840abdb7e59e
Author: Stefan Hühner <stefan.huehner <at> openbravo.com>
Date: Sun Apr 08 17:18:40 2018 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/7f6f924f47324de46cea81d40a3c840abdb7e59e [^]

Issue 37500. Use local xsql file instead of public one from other folder.

Heartbeat java called the businessUtility.HeartbeatData.selectProperties
xsql function which is public and selects many fields.

Instead move the select of the 2 fields required only to the already
existing non-bpulic Heartbeat_data.xsql in the same ad_forms package.

That is preparation to delete that other public xsql file and also
starts removing text-references for to be removed column code_revision
from ad_system_info.

---
M src/org/openbravo/erpCommon/ad_forms/Heartbeat.java
M src/org/openbravo/erpCommon/ad_forms/Heartbeat_data.xsql
---
(0104094)
hgbot (developer)
2018-04-26 13:12

Repository: erp/devel/pi
Changeset: 29069ce3abd97b7cf21a589e2ca01bce00658616
Author: Stefan Hühner <stefan.huehner <at> openbravo.com>
Date: Sun Apr 08 17:25:09 2018 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/29069ce3abd97b7cf21a589e2ca01bce00658616 [^]

Issue 37500. Remove public businessUtility.Heartbeat_data.xsql file

That file only had single xsql method used from ad_process.HeartbeatProcess.
Move that xsql method to already existing (non-public) SystemInfo_data.xsql
file in that other java package (and slim down to the 2 fields required).

That allows removal of the Heartbeat_data.xsql file.
Checking all public modules via getAllModules did not show any users in
modules.

---
M src/org/openbravo/erpCommon/ad_process/HeartbeatProcess.java
M src/org/openbravo/erpCommon/ad_process/SystemInfo_data.xsql
R src/org/openbravo/erpCommon/businessUtility/Heartbeat_data.xsql
---
(0104095)
hgbot (developer)
2018-04-26 13:12

Repository: erp/devel/pi
Changeset: 7d143dbc685a3e6386a6c4d5163852f1e19dfbbe
Author: Stefan Hühner <stefan.huehner <at> openbravo.com>
Date: Sun Apr 08 17:50:45 2018 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/7d143dbc685a3e6386a6c4d5163852f1e19dfbbe [^]

Issue 37500. Stop sending ad_module.version_id of module 0 in heartbeat

That is is not useful as only tracking core revision (and not any modules).
As part of its removal stop sending the field in data of heartbeat.

Butler code (HeartbeatServlet.java) is using getStringParameter and setting
value for dal insert into ad_heartbeat. But as that column is nullable should
be fine to push this pi change without change to butler code.

This change also stops calling setCodeRevision for the local insert into
ad_heartbeat_log. That column is mandatory but has a default value of '0'
so should work unmodified.

---
M src/org/openbravo/erpCommon/ad_process/HeartbeatProcess.java
M src/org/openbravo/erpCommon/utility/SystemInfo.java
M src/org/openbravo/erpCommon/utility/SystemInfo_data.xsql
---
(0104096)
hgbot (developer)
2018-04-26 13:12

Repository: erp/devel/pi
Changeset: 3c88447c76c9673ec4bc0f2a9d97be332a6e540a
Author: Stefan Hühner <stefan.huehner <at> openbravo.com>
Date: Sun Apr 08 18:05:16 2018 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/3c88447c76c9673ec4bc0f2a9d97be332a6e540a [^]

Issue 37500. Remove setting ad_module.version_id for module 0 during compile.

src/build.xml had code to update that field during compilation. As part of that
removal stop updating that field.

That allows to delete quite a chunk of src/build.xml as it had 3 ways of getting
the info:
- indirectly from hg id ran via "init" of main build.xml
- from file config/instance.revision (set from rm,ci or package.core)
- ' - ' if none of first 2 was possible

---
M src/build.xml
---
(0104097)
hgbot (developer)
2018-04-26 13:12

Repository: erp/devel/pi
Changeset: bed8eb785777e196fbf25f259c6593656b84f3fb
Author: Stefan Hühner <stefan.huehner <at> openbravo.com>
Date: Sun Apr 08 18:29:43 2018 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/bed8eb785777e196fbf25f259c6593656b84f3fb [^]

Issue 37500. Stop updating ad_system_info.code_revision field during builds

Stop touching that field which is going to be deleted during create.database
and update.database which where both updating it.

Apart stop passing code.revision ant variable to export.database task which
was already not using it.

---
M src-db/database/build-create.xml
M src-db/database/build.xml
---
(0104098)
hgbot (developer)
2018-04-26 13:12

Repository: erp/devel/pi
Changeset: b1fb71dc09f073779611399275e5fa5e8bf0442a
Author: Stefan Hühner <stefan.huehner <at> openbravo.com>
Date: Sun Apr 08 18:37:51 2018 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/b1fb71dc09f073779611399275e5fa5e8bf0442a [^]

Issue 37500. Remove ad_system_info.code_revision column completely.

As the column is now completely unused delete it from database and
ad_column & ad_field (was shown only in System information window)

---
M src-db/database/model/tables/AD_SYSTEM_INFO.xml
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_FIELD.xml
---
(0104099)
hgbot (developer)
2018-04-26 13:12

Repository: erp/devel/pi
Changeset: 149c47a634cfe0ffe219cef5fc3433dd5bfe76ed
Author: Stefan Hühner <stefan.huehner <at> openbravo.com>
Date: Sun Apr 08 18:47:05 2018 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/149c47a634cfe0ffe219cef5fc3433dd5bfe76ed [^]

Fixed 37500. Remove calling hg id during build.

Final user of hg.id value is package.core task writing the value to
config/instance.revision inside the created obx file.
However only user of that file was the src/build.xml code writing it into
ad_module.version_id. That code is remove din earlier commit of this issue.

So with this commit present nobody will read that file.
Assuming package.core is used to create obx file to be used with older
version not having that change this should still be fine as the code
had a code-path used when the file was missing anyway.

With that last user gone finally delete calling "hg id" call and related code:
- checking for .hg
- calling hg id
- ant properties, is.hg, hg.id, code.revision

Note: There is another call of "hg id -n" present in package.core but that one
is unrelated and as only called when running that specific ant target does not
have any global performance impacts.

---
M build.xml
---
(0104100)
hgbot (developer)
2018-04-26 13:12

Repository: erp/devel/pi
Changeset: 56aaf0c0df5b9ed67184004af538c2aac4a08747
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Thu Apr 26 10:27:38 2018 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/56aaf0c0df5b9ed67184004af538c2aac4a08747 [^]

issue 37500. Removed ad_heartbeat_log.code_revision column

---
M src-db/database/model/tables/AD_HEARTBEAT_LOG.xml
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_ELEMENT.xml
M src-db/database/sourcedata/AD_FIELD.xml
---
(0104101)
hgbot (developer)
2018-04-26 13:12

Repository: erp/devel/pi
Changeset: 292be797c196c8c1c55a7a15731e38fa07bc3857
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Thu Apr 26 10:44:10 2018 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/292be797c196c8c1c55a7a15731e38fa07bc3857 [^]

issue 37500. removed ad_module/ad_module_install version_id columns

  As they are no longer populated

---
M src-db/database/model/tables/AD_MODULE.xml
M src-db/database/model/tables/AD_MODULE_INSTALL.xml
M src-db/database/model/triggers/AD_MODULE_TRG2.xml
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_DATASET_COLUMN.xml
M src-db/database/sourcedata/AD_ELEMENT.xml
M src-db/database/sourcedata/AD_FIELD.xml
---
(0104102)
alostale (developer)
2018-04-26 13:18

reviewed

tested:
- build works fine
- it's possible to install modules (MMC and obx file)
- beats are correctly sent, logged locally and persisted in butler
(0104402)
hudsonbot (developer)
2018-05-09 19:29

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/2be7d3efe606 [^]
Maturity status: Test
(0104403)
hudsonbot (developer)
2018-05-09 19:29

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/2be7d3efe606 [^]
Maturity status: Test
(0104404)
hudsonbot (developer)
2018-05-09 19:29

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/2be7d3efe606 [^]
Maturity status: Test
(0104405)
hudsonbot (developer)
2018-05-09 19:29

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/2be7d3efe606 [^]
Maturity status: Test
(0104406)
hudsonbot (developer)
2018-05-09 19:29

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/2be7d3efe606 [^]
Maturity status: Test
(0104407)
hudsonbot (developer)
2018-05-09 19:29

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/2be7d3efe606 [^]
Maturity status: Test
(0104408)
hudsonbot (developer)
2018-05-09 19:29

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/2be7d3efe606 [^]
Maturity status: Test
(0104409)
hudsonbot (developer)
2018-05-09 19:29

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/2be7d3efe606 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2017-12-16 18:18 shuehner New Issue
2017-12-16 18:18 shuehner Assigned To => platform
2017-12-16 18:18 shuehner Modules => Core
2017-12-16 18:18 shuehner Triggers an Emergency Pack => No
2017-12-16 18:19 shuehner Relationship added depends on 0037499
2017-12-16 18:28 shuehner Relationship added depends on 0037501
2018-01-03 12:09 jarmendariz Status new => scheduled
2018-01-22 11:46 caristu File Added: bug-37501-remove-versionId.patch
2018-04-08 16:53 shuehner Relationship added blocks 0038296
2018-04-08 17:27 shuehner Relationship added related to 0038297
2018-04-08 17:31 shuehner Relationship added related to 0038298
2018-04-08 17:47 shuehner Relationship added related to 0038299
2018-04-08 18:19 shuehner Relationship added depends on 0038300
2018-04-08 18:49 shuehner Assigned To platform => shuehner
2018-04-26 13:12 hgbot Checkin
2018-04-26 13:12 hgbot Note Added: 0104093
2018-04-26 13:12 hgbot Checkin
2018-04-26 13:12 hgbot Note Added: 0104094
2018-04-26 13:12 hgbot Checkin
2018-04-26 13:12 hgbot Note Added: 0104095
2018-04-26 13:12 hgbot Checkin
2018-04-26 13:12 hgbot Note Added: 0104096
2018-04-26 13:12 hgbot Checkin
2018-04-26 13:12 hgbot Note Added: 0104097
2018-04-26 13:12 hgbot Checkin
2018-04-26 13:12 hgbot Note Added: 0104098
2018-04-26 13:12 hgbot Checkin
2018-04-26 13:12 hgbot Note Added: 0104099
2018-04-26 13:12 hgbot Status scheduled => resolved
2018-04-26 13:12 hgbot Resolution open => fixed
2018-04-26 13:12 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/149c47a634cfe0ffe219cef5fc3433dd5bfe76ed [^]
2018-04-26 13:12 hgbot Checkin
2018-04-26 13:12 hgbot Note Added: 0104100
2018-04-26 13:12 hgbot Checkin
2018-04-26 13:12 hgbot Note Added: 0104101
2018-04-26 13:17 alostale Tag Attached: Performance
2018-04-26 13:17 alostale File Deleted: bug-37501-remove-versionId.patch
2018-04-26 13:18 alostale Review Assigned To => alostale
2018-04-26 13:18 alostale Note Added: 0104102
2018-04-26 13:18 alostale Status resolved => closed
2018-04-26 13:18 alostale Fixed in Version => 3.0PR18Q3
2018-05-09 19:29 hudsonbot Checkin
2018-05-09 19:29 hudsonbot Note Added: 0104402
2018-05-09 19:29 hudsonbot Checkin
2018-05-09 19:29 hudsonbot Note Added: 0104403
2018-05-09 19:29 hudsonbot Checkin
2018-05-09 19:29 hudsonbot Note Added: 0104404
2018-05-09 19:29 hudsonbot Checkin
2018-05-09 19:29 hudsonbot Note Added: 0104405
2018-05-09 19:29 hudsonbot Checkin
2018-05-09 19:29 hudsonbot Note Added: 0104406
2018-05-09 19:29 hudsonbot Checkin
2018-05-09 19:29 hudsonbot Note Added: 0104407
2018-05-09 19:29 hudsonbot Checkin
2018-05-09 19:29 hudsonbot Note Added: 0104408
2018-05-09 19:29 hudsonbot Checkin
2018-05-09 19:29 hudsonbot Note Added: 0104409


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker